com.ihr.xbrl.mapper.filters

## Class XBRLExplicitDimensionFilter

- java.lang.Object
- - com.ihr.xbrl.mapper.filters.XBRLExplicitDimensionFilter

- All Implemented Interfaces:
    XBRLFacetFilter
  Direct Known Subclasses:
    XBRLExplicitDimensionDefaultFilter, XBRLExplicitDimensionScenarioFilter, XBRLExplicitDimensionSegmentFilter

      public abstract class XBRLExplicitDimensionFilter
      extends java.lang.Object
      implements XBRLFacetFilter

  Abstract class representing a filter over a velue for an explicit dimension member This class is extended by the two possible containers.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLExplicitDimensionFilter(java.lang.String id, javax.xml.namespace.QName dimension, javax.xml.namespace.QName value)` Instantiates a new XBRL explicit dimension filter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Gets the id.
    `boolean` | `matches(XBRLFact fact, XBRLFilterContext context)` Return a boolean value indicating if the fact passes the filter.
    `void` | `setId(java.lang.String id)` Sets the id.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.ihr.xbrl.mapper.filters.XBRLFacetFilter

      `createFilterNode`

- - ### Constructor Detail

    - #### XBRLExplicitDimensionFilter

          public XBRLExplicitDimensionFilter(java.lang.String id,
                                     javax.xml.namespace.QName dimension,
                                     javax.xml.namespace.QName value)

      Instantiates a new XBRL explicit dimension filter.
      Parameters:
        `id` - the id
        `dimension` - the dimension
        `value` - the value

  - ### Method Detail

    - #### matches

          public boolean matches(XBRLFact fact,
                        XBRLFilterContext context)

      Description copied from interface: `XBRLFacetFilter`
      Return a boolean value indicating if the fact passes the filter. true - match false - no match
      Specified by:
        `matches` in interface `XBRLFacetFilter`
      Parameters:
        `fact` - XBRLFact to test
        `context` - the context
      Returns:
        boolean

    - #### getId

          public java.lang.String getId()

      Description copied from interface: `XBRLFacetFilter`
      Gets the id.
      Specified by:
        `getId` in interface `XBRLFacetFilter`
      Returns:
        the id

    - #### setId

          public void setId(java.lang.String id)

      Description copied from interface: `XBRLFacetFilter`
      Sets the id.
      Specified by:
        `setId` in interface `XBRLFacetFilter`
      Parameters:
        `id` - the new id